{
  "mappings": {
    "properties": {
      "id": {
        "type": "long"
      },
      "name": {
        "type": "keyword"
      },
      "mapping_type": {
        "type": "keyword"
      },
      "is_online": {
        "type": "boolean"
      },
      "create_time": {
        "type": "date",
        "format": "date_time_no_millis"
      },
      "update_time": {
        "type": "date",
        "format": "date_time_no_millis"
      },
      "last_content_create_time": {
        "type": "date",
        "format": "date_time_no_millis"
      },
      "last_content_comment_time": {
        "type": "date",
        "format": "date_time_no_millis"
      },
      "tag_ids": {
        "type": "long"
      },
      "tag_names": {
        "type": "text",
        "analyzer": "gm_default_index",
        "search_analyzer": "gm_default_search"
      },
      "user_ids": {
        "type": "long"
      },
      "user_follow_number": {
        "type": "long"
      },
      "tags_v3_ids": {
        "type": "long"
      },
      "tags_v3_name": {
        "type": "keyword"
      },
      "is_show_index": {
        "type": "boolean"
      }
    }
  }
}
